summaryrefslogtreecommitdiff
path: root/helpers/bootstrap_copy
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/bootstrap_copy
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/bootstrap_copy')
-rwxr-xr-xhelpers/bootstrap_copy55
1 files changed, 55 insertions, 0 deletions
diff --git a/helpers/bootstrap_copy b/helpers/bootstrap_copy
new file mode 100755
index 0000000..456c89d
--- /dev/null
+++ b/helpers/bootstrap_copy
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# lh_bootstrap_copy(1) - bootstrap by copying the host system
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'bootstrap by copying the host system')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "copy" ]
+then
+ exit 0
+fi
+
+# Check architecture
+Check_crossarchitecture
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Copying host system
+mkdir chroot
+cd chroot
+tar c / --exclude /proc --exclude /sys --exclude "$(dirname ${PWD})" | tar xv
+cd ..
+
+# Creating stage file
+Create_stagefile .stage/bootstrap